%pridanie šumu pre augmentáciu pozitívnych detekcii

d=length(vysledok_pozitivne);
vysledok_pozitivne_sum=cell(d,1);

%Gaussovský šum
for i=1:d
    jeden_rez=vysledok_pozitivne{i};
    %figure(1)
sum = jeden_rez - min(jeden_rez(:));
sum = sum / max(jeden_rez(:));
%Pridanie šumu
v = 0.005*var(sum(:));
I_noisy = imnoise(sum, 'gaussian', 0, v);
I_noisy=255.*I_noisy;
%subplot(121);imshow(A,[]);subplot(122);imshow(I_noisy,[])%porovnanie obrazku
%bez a so šumom
vysledok_pozitivne_sum{i}=I_noisy;

end

%Šum typu speckle   
vysledok_pozitivne_sum2=cell(d,1);
for i=1:d
     jeden_rez=vysledok_pozitivne{i};
     sum = jeden_rez - min(jeden_rez(:));
     sum = sum / max(jeden_rez(:));
    L = imnoise(sum,'speckle',0.001);
   I_noisyL=255.*L;
   figure(2);
   imshow(I_noisyL,[]);
   %figure(3)
   %imshow(jeden_rez,[min(jeden_rez(:)) max(jeden_rez(:))]);
   vysledok_pozitivne_sum2{i}=I_noisyL;
end

%spojenie databázy
%vysledok_pozitivne = [vysledok_pozitivne; vysledok_pozitivne_sum; vysledok_pozitivne_sum2; vysledok_pozitivne_rot];
%save('MeatusAE_DATABAZE.mat','vysledok_negativne','data_pozitivne')
